/* ---------------------------------------

    Card Component
    Example on using pre-defined theme and updating it with JS

--------------------------------------- */

:root {
    --color-primary: #ff7763;
    --color-secondary: #2f4858;
    --color-text: #dcf2ff;
}

.form {
    width: 200px;
    margin: 0 auto 32px auto;
    display: flex;
    flex-direction: column;
    & > label {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 12px;
    }
}

.card {
    // component's variables
    --card-spacing: 18px;
    --card-title-size: 18px;
    --card-desc-lines: 4;

    margin: 0 auto;
    background-color: var(--color-primary);
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
    border: 1px solid var(--color-primary);
    border-radius: 0.5rem;
    max-width: 24rem;
    overflow: hidden;
    .card__img {
        width: 100%;
    }
    .card__title {
        font-size: var(--card-title-size);
        font-weight: bold;
        color: var(--color-secondary);
        padding: 0 var(--card-spacing);
        margin: var(--card-spacing) 0;
    }
    .card__desc {
        color: var(--color-secondary);
        padding: 0 var(--card-spacing);
        margin: 0 0 var(--card-spacing) 0;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: var(--card-desc-lines);
        -webkit-box-orient: vertical;
    }
    .card__btn {
        padding: 6px 16px;
        background-color: #222e50;
        color: var(--color-text);
        border: none;
        border-radius: 6px;
        margin-left: var(--card-spacing);
        margin-bottom: var(--card-spacing);
    }
}

@media screen and (min-width: 768px) {
    .card {
        --card-spacing: 24px;
        --card-title-size: 21px;
        --card-desc-lines: 3;
    }
}
